## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global         srcname     azure-mgmt-devtestlabs

Name:           python-%{srcname}
Version:        4.0.0
Release:        %autorelease
Summary:        Microsoft Azure DevTestLabs Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

BuildArch:      noarch

Epoch:          1


BuildRequires:  python3-devel


%global _description %{expand:
Microsoft Azure DevTestLabs Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
Obsoletes:      python3-azure-sdk < 5.0.1
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst HISTORY.rst


%changelog
* Thu Apr 28 2022 Major Hayden <major@mhtx.net> 1:4.0.0-5
- Switch to rpmautospec

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1:4.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> 1:4.0.0-3
- Move obsoletes into subpackage

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> 1:4.0.0-2
- Add epoch for 4.0.0 downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> 1:4.0.0-1
- Downgrade to 4.0.0

* Sun Jul 04 2021 Major Hayden <major@mhtx.net> 9.0.0-1
- Initial import (#1971801)
